%define         major        16
%define         libname      %mklibname yui-mga-gtk %{major}
%define         develname    %mklibname yui-mga-gtk -d

Name:           libyui-mga-gtk
Version:        1.2.0
Release:        %mkrel 12
Summary:        UI abstraction library - Mageia extension Gtk plugin
License:        LGPLv2+
Group:          System/Libraries
Url:            https://github.com/manatools/libyui-mga-gtk
Source0:        %{name}-%{version}.tar.gz
Patch0:         00-libyui-gtk-dep.patch

BuildRequires:    pkgconfig(libyui)
BuildRequires:    pkgconfig(libyui-gtk)
BuildRequires:    pkgconfig(libyui-mga)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    cmake
BuildRequires:    boost-devel
BuildRequires:    ghostscript
BuildRequires:    graphviz

%description
%{summary}.

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major}%{?_isa} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-mga-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-mga-gtk.so.%{major}{,.*}

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       yui-mga-gtk-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-mga-gtk development.

%files -n %develname
%{_includedir}/yui/mga/gtk/
%{_libdir}/yui/libyui-mga-gtk.so

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Sun Feb 09 2025 wally <wally> 1.2.0-12.mga10
+ Revision: 2146277
- rebuild for boost 1.87.0

* Fri Sep 13 2024 wally <wally> 1.2.0-11.mga10
+ Revision: 2095490
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 1.2.0-10.mga10
+ Revision: 2075410
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 1.2.0-9.mga10
+ Revision: 2030563
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 1.2.0-8.mga10
+ Revision: 1991466
- rebuild for boost 1.83.0

* Tue Feb 28 2023 wally <wally> 1.2.0-7.mga9
+ Revision: 1945732
- add more provides to lib pkg

* Sat Dec 24 2022 wally <wally> 1.2.0-6.mga9
+ Revision: 1926500
- rebuild for boost 1.81.0

* Sun Oct 09 2022 anaselli <anaselli> 1.2.0-5.mga9
+ Revision: 1895739
- Rebuilt for libyui-gtk 16

* Sat Oct 08 2022 anaselli <anaselli> 1.2.0-4.mga9
+ Revision: 1895524
- rebuilt on new libyui 4.4.4

* Sun Jul 03 2022 wally <wally> 1.2.0-3.mga9
+ Revision: 1867277
- rebuild for boost 1.79.0

* Sun Dec 19 2021 wally <wally> 1.2.0-2.mga9
+ Revision: 1762634
- rebuild for boost 1.78.0

* Sun Sep 12 2021 wally <wally> 1.2.0-1.mga9
+ Revision: 1745331
- fix lib pkg name
- rebuild for boost 1.77.0
- rebuild for boost 1.76.0
+ anaselli <anaselli>
- new 1.2.0

* Thu Dec 31 2020 wally <wally> 1.1.0-5.mga8
+ Revision: 1666782
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.1.0-4.mga8
+ Revision: 1662024
- rebuild for boost 1.74.0

* Sun Oct 25 2020 akien <akien> 1.1.0-3.mga8
+ Revision: 1639170
- Fix misuse of %%cmake_build macro

* Mon Jun 29 2020 anaselli <anaselli> 1.1.0-2.mga8
+ Revision: 1600529
- rebuilt
- New 1.1.0

* Tue Apr 14 2020 anaselli <anaselli> 1.0.4-1.mga8
+ Revision: 1567258
- new version 1.0.4

* Fri Mar 27 2020 anaselli <anaselli> 1.0.3-6.mga8
+ Revision: 1561200
- Update for new libyui

* Fri Feb 14 2020 umeabot <umeabot> 1.0.3-5.mga8
+ Revision: 1521230
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Dec 16 2018 anaselli <anaselli> 1.0.3-4.mga7
+ Revision: 1341882
- rebuilt against new libyu

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-3.mga7
+ Revision: 1299286
- Mageia 7 Mass Rebuild

* Wed Mar 28 2018 daviddavid <daviddavid> 1.0.3-2.mga7
+ Revision: 1212977
- provides libyui%%{major}-mga-gtk so packages who depends on it can be
  rebuild if major change (like isodumper)

* Sun Jan 28 2018 anaselli <anaselli> 1.0.3-1.mga7
+ Revision: 1197766
- version 1.0.3

* Sun Oct 09 2016 anaselli <anaselli> 1.0.2-3.mga6
+ Revision: 1059763
- rebuilt

* Tue Jan 19 2016 anaselli <anaselli> 1.0.2-2.mga6
+ Revision: 925824
- rebuilt for new yui-mga

* Tue Oct 20 2015 anaselli <anaselli> 1.0.2-1.mga6
+ Revision: 892891
- 1.0.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-0.git20131218.7.mga5
+ Revision: 743456
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-0.git20131218.6.mga5
+ Revision: 681914
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 anaselli <anaselli> 1.0.1-0.git20131218.5.mga5
+ Revision: 668522
- Fixed build issue

* Tue Apr 22 2014 anaselli <anaselli> 1.0.1-0.git20131218.4.mga5
+ Revision: 617390
- Added version dependency

* Fri Apr 18 2014 anaselli <anaselli> 1.0.1-0.git20131218.2.mga5
+ Revision: 616898
- rebuilt for new libyui
- removed double dep
- avoid parallel compiling for docs

* Sun Mar 30 2014 anaselli <anaselli> 1.0.1-0.git20131218.1.mga5
+ Revision: 610483
- Synked source
- Added missed dependencies
- new version 1.0.1
+ matteo <matteo>
- imported package libyui-mga-gtk

